package model;

import in.Input;

import java.util.Arrays;

public class Reader {
	
	private static final String PATH = "daten/Testdaten.csv";

	public String[][] readRawData() {
		return Input.readCsvFile(PATH, true);
	}

	public static Person[] getRawSample(){
		String[][] daten = Input.readCsvFile(PATH, true);
		
		Person[] sample = new Person[daten.length];
		for(int i = 0; i < daten.length; i++)
			sample[i] = new Person(daten[i]);
		return sample;
	}
	
	public static Person[] getSortedSample(){
		Person[] sample = getRawSample();
		Arrays.sort(sample);
		return sample;
	}
}
